<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>SphereRegionSelector (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SphereRegionSelector (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/selector/RegionSelectorType.html" title="enum in com.sk89q.worldedit.regions.selector"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/selector/SphereRegionSelector.html" target="_top">Frames</a></li>
<li><a href="SphereRegionSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.regions.selector.EllipsoidRegionSelector">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions.selector</div>
<h2 title="Class SphereRegionSelector" class="title">Class SphereRegionSelector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">com.sk89q.worldedit.regions.selector.EllipsoidRegionSelector</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.regions.selector.SphereRegionSelector</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a>, <a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SphereRegionSelector</span>
extends <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a></pre>
<div class="block">Creates a <code>SphereRegion</code> from a user's selections.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.regions.selector.EllipsoidRegionSelector">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.regions.selector.<a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#region">region</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#started">started</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html#SphereRegionSelector--">SphereRegionSelector</a></span>()</code>
<div class="block">Create a new selector with a <code>null world</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html#SphereRegionSelector-com.sk89q.worldedit.regions.RegionSelector-">SphereRegionSelector</a></span>(<a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>&nbsp;oldSelector)</code>
<div class="block">Create a new selector from another one</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html#SphereRegionSelector-com.sk89q.worldedit.world.World-">SphereRegionSelector</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Create a new selector.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html#SphereRegionSelector-com.sk89q.worldedit.world.World-com.sk89q.worldedit.math.BlockVector3-int-">SphereRegionSelector</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
                    <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center,
                    int&nbsp;radius)</code>
<div class="block">Create a new selector.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainSecondarySelection</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                         <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                         <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)</code>
<div class="block">Tell the player information about his/her secondary selection.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html#getTypeName--">getTypeName</a></span>()</code>
<div class="block">Get a lowercase name of this region selector type.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectSecondary</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
               <a href="../../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</code>
<div class="block">Called when the second point is selected.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.regions.selector.EllipsoidRegionSelector">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.regions.selector.<a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#clear--">clear</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#describeCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeCUI</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#describeLegacyCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeLegacyCUI</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#explainPrimarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainPrimarySelection</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#explainRegionAdjust-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-">explainRegionAdjust</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getArea--">getArea</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getIncompleteRegion--">getIncompleteRegion</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getInformationLines--">getInformationLines</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getLegacyTypeID--">getLegacyTypeID</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getPrimaryPosition--">getPrimaryPosition</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getProtocolVersion--">getProtocolVersion</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getRegion--">getRegion</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getTypeID--">getTypeID</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getWorld--">getWorld</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#isDefined--">isDefined</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#learnChanges--">learnChanges</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#selectPrimary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectPrimary</a>, <a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SphereRegionSelector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SphereRegionSelector</h4>
<pre>public&nbsp;SphereRegionSelector()</pre>
<div class="block">Create a new selector with a <code>null world</code>.</div>
</li>
</ul>
<a name="SphereRegionSelector-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SphereRegionSelector</h4>
<pre>public&nbsp;SphereRegionSelector(@Nullable
                            <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Create a new selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world, which may be <code>null</code></dd>
</dl>
</li>
</ul>
<a name="SphereRegionSelector-com.sk89q.worldedit.regions.RegionSelector-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SphereRegionSelector</h4>
<pre>public&nbsp;SphereRegionSelector(<a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>&nbsp;oldSelector)</pre>
<div class="block">Create a new selector from another one</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>oldSelector</code> - the old selector</dd>
</dl>
</li>
</ul>
<a name="SphereRegionSelector-com.sk89q.worldedit.world.World-com.sk89q.worldedit.math.BlockVector3-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SphereRegionSelector</h4>
<pre>public&nbsp;SphereRegionSelector(@Nullable
                            <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
                            <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center,
                            int&nbsp;radius)</pre>
<div class="block">Create a new selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world</dd>
<dd><code>center</code> - the center position</dd>
<dd><code>radius</code> - the radius</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectSecondary</h4>
<pre>public&nbsp;boolean&nbsp;selectSecondary(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                               <a href="../../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">RegionSelector</a></code></span></div>
<div class="block">Called when the second point is selected.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectSecondary</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectSecondary</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if something changed</dd>
</dl>
</li>
</ul>
<a name="explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>explainSecondarySelection</h4>
<pre>public&nbsp;void&nbsp;explainSecondarySelection(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                                      <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                                      <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">RegionSelector</a></code></span></div>
<div class="block">Tell the player information about his/her secondary selection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainSecondarySelection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainSecondarySelection</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the actor</dd>
<dd><code>session</code> - the session</dd>
<dd><code>pos</code> - position</dd>
</dl>
</li>
</ul>
<a name="getTypeName--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTypeName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTypeName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getTypeName--">RegionSelector</a></code></span></div>
<div class="block">Get a lowercase name of this region selector type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getTypeName--">getTypeName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getTypeName--">getTypeName</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a lower case name of the type</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/selector/RegionSelectorType.html" title="enum in com.sk89q.worldedit.regions.selector"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/selector/SphereRegionSelector.html" target="_top">Frames</a></li>
<li><a href="SphereRegionSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.regions.selector.EllipsoidRegionSelector">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
